// STAR-CCM+ macro
package macro;

import java.util.*;
import java.io.*;

import star.common.*;
import star.base.neo.*;

public class run extends StarMacro {

  public void execute() {
    run();
  }

  private void run() {

    Simulation simulation_0 = 
      getActiveSimulation();

    // Filename
    String filename = 
      simulation_0.getPresentationName();

    // Run
    simulation_0.getSimulationIterator().run();

    // Save simulation
    simulation_0.println("Save path: "+simulation_0.getSessionDir()+File.separator+filename+"_final.sim");
    simulation_0.saveState(simulation_0.getSessionDir()+File.separator+filename+"_final.sim");
	
  }
}
